#! /usr/bin/env python
# -*- coding: utf-8 -*-

import sys
from PyQt4 import QtCore, QtGui

from Ui_textbrowserdialog import Ui_TextBrowserDialog

class TextBrowserDialog(QtGui.QDialog, Ui_TextBrowserDialog):
    _text = u"""
<html>
<body>
<p>
„Lorem ipsum dolor sit amet, consectetuer sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te feugait nulla facilisi. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te feugait nulla facilisi.“
</p>
</body>
</html>
"""
    def __init__(self, parent = None):
        super(TextBrowserDialog, self).__init__(parent)
        self.setObjectName("TextBrowserDialog")
        self.setWindowTitle("TextBrowserDialog")
        self.setupUi(self)
        self.textBrowser.setHtml(self._text)
        self.printButton.clicked.connect(self.print_)

    def print_(self):
        printer = QtGui.QPrinter(QtGui.QPrinter.HighResolution)
        printer.setPageSize(QtGui.QPrinter.A4)
        printDialog = QtGui.QPrintDialog(printer, self)
        if printDialog.exec_():
            self.textBrowser.print_(printer)


if __name__ == "__main__":
    app = QtGui.QApplication(sys.argv)
    win = TextBrowserDialog()
    win.show()
    win.activateWindow()
    win.raise_()
    QtGui.QShortcut("Ctrl+Q", win, lambda: win.close())
    ret = app.exec_()
    sys.exit(ret)
